
package bank.corba;


/**
<p>
<ul>
<li> <b>Java Class</b> bank.corba.CorbaBankApplicationManagerInterfaceHolder
<li> <b>Source File</b> bank/corba/CorbaBankApplicationManagerInterfaceHolder.java
<li> <b>IDL Source File</b> bankif.idl
<li> <b>IDL Absolute Name</b> ::bank::corba::CorbaBankApplicationManagerInterface
<li> <b>Repository Identifier</b> IDL:bank/corba/CorbaBankApplicationManagerInterface:1.0
</ul>
<b>IDL definition:</b>
<pre>
	interface CorbaBankApplicationManagerInterface {
	  boolean verifyAccount(
		in long accountNumber
	  );
	  long depositAccount(
		in long accountNumber,
		in long amount
	  )
	  raises(
		::bank::corba::AccountNotFoundException
	  );
	  long withdrawAccount(
		in long accountNumber,
		in long amount
	  )
	  raises(
		::bank::corba::AccountNotFoundException
	  );
	  long checkBalanceAccount(
		in long accountNumber
	  )
	  raises(
		::bank::corba::AccountNotFoundException
	  );
	};
</pre>
</p>
*/
final public class CorbaBankApplicationManagerInterfaceHolder implements org.omg.CORBA.portable.Streamable {
  public bank.corba.CorbaBankApplicationManagerInterface value;


  public CorbaBankApplicationManagerInterfaceHolder() {
  }    
  public CorbaBankApplicationManagerInterfaceHolder(bank.corba.CorbaBankApplicationManagerInterface value) {
	this.value = value;
  }    
  public void _read(org.omg.CORBA.portable.InputStream input) {
	value = CorbaBankApplicationManagerInterfaceHelper.read(input);
  }    
  public org.omg.CORBA.TypeCode _type() {
	return CorbaBankApplicationManagerInterfaceHelper.type();
  }    
  public void _write(org.omg.CORBA.portable.OutputStream output) {
	CorbaBankApplicationManagerInterfaceHelper.write(output, value);
  }    
}