
package bank.corba;


/**
<p>
<ul>
<li> <b>Java Class</b> bank.corba._example_CorbaBankApplicationManagerInterface
<li> <b>Source File</b> bank/corba/_example_CorbaBankApplicationManagerInterface.java
<li> <b>IDL Source File</b> bankif.idl
<li> <b>IDL Absolute Name</b> ::bank::corba::CorbaBankApplicationManagerInterface
<li> <b>Repository Identifier</b> IDL:bank/corba/CorbaBankApplicationManagerInterface:1.0
</ul>
<b>IDL definition:</b>
<pre>
	interface CorbaBankApplicationManagerInterface {
	  boolean verifyAccount(
		in long accountNumber
	  );
	  long depositAccount(
		in long accountNumber,
		in long amount
	  )
	  raises(
		::bank::corba::AccountNotFoundException
	  );
	  long withdrawAccount(
		in long accountNumber,
		in long amount
	  )
	  raises(
		::bank::corba::AccountNotFoundException
	  );
	  long checkBalanceAccount(
		in long accountNumber
	  )
	  raises(
		::bank::corba::AccountNotFoundException
	  );
	};
</pre>
</p>
*/
public class _example_CorbaBankApplicationManagerInterface extends bank.corba._CorbaBankApplicationManagerInterfaceImplBase {


  /** Construct a transient object. */
  public _example_CorbaBankApplicationManagerInterface() {
	super();
  }    
  /** Construct a persistently named object. */
  public _example_CorbaBankApplicationManagerInterface(java.lang.String name) {
	super(name);
  }    
  /**
  <p>
  Operation: <b>::bank::corba::CorbaBankApplicationManagerInterface::checkBalanceAccount</b>.
  <pre>
	long checkBalanceAccount(
	  in long accountNumber
	)
	raises(
	  ::bank::corba::AccountNotFoundException
	);
  </pre>
  </p>
  */
  public int checkBalanceAccount(
	int accountNumber
  ) throws
	bank.corba.AccountNotFoundException {
	// IMPLEMENT: Operation
	return 0;
  }    
  /**
  <p>
  Operation: <b>::bank::corba::CorbaBankApplicationManagerInterface::depositAccount</b>.
  <pre>
	long depositAccount(
	  in long accountNumber,
	  in long amount
	)
	raises(
	  ::bank::corba::AccountNotFoundException
	);
  </pre>
  </p>
  */
  public int depositAccount(
	int accountNumber,
	int amount
  ) throws
	bank.corba.AccountNotFoundException {
	// IMPLEMENT: Operation
	return 0;
  }    
  /**
  <p>
  Operation: <b>::bank::corba::CorbaBankApplicationManagerInterface::verifyAccount</b>.
  <pre>
	boolean verifyAccount(
	  in long accountNumber
	);
  </pre>
  </p>
  */
  public boolean verifyAccount(
	int accountNumber
  ) {
	// IMPLEMENT: Operation
	return false;
  }    
  /**
  <p>
  Operation: <b>::bank::corba::CorbaBankApplicationManagerInterface::withdrawAccount</b>.
  <pre>
	long withdrawAccount(
	  in long accountNumber,
	  in long amount
	)
	raises(
	  ::bank::corba::AccountNotFoundException
	);
  </pre>
  </p>
  */
  public int withdrawAccount(
	int accountNumber,
	int amount
  ) throws
	bank.corba.AccountNotFoundException {
	// IMPLEMENT: Operation
	return 0;
  }    
}