
package bank.corba;


/**
<p>
<ul>
<li> <b>Java Class</b> bank.corba._tie_CorbaBankApplicationManagerInterface
<li> <b>Source File</b> bank/corba/_tie_CorbaBankApplicationManagerInterface.java
<li> <b>IDL Source File</b> bankif.idl
<li> <b>IDL Absolute Name</b> ::bank::corba::CorbaBankApplicationManagerInterface
<li> <b>Repository Identifier</b> IDL:bank/corba/CorbaBankApplicationManagerInterface:1.0
</ul>
<b>IDL definition:</b>
<pre>
	interface CorbaBankApplicationManagerInterface {
	  boolean verifyAccount(
		in long accountNumber
	  );
	  long depositAccount(
		in long accountNumber,
		in long amount
	  )
	  raises(
		::bank::corba::AccountNotFoundException
	  );
	  long withdrawAccount(
		in long accountNumber,
		in long amount
	  )
	  raises(
		::bank::corba::AccountNotFoundException
	  );
	  long checkBalanceAccount(
		in long accountNumber
	  )
	  raises(
		::bank::corba::AccountNotFoundException
	  );
	};
</pre>
</p>
*/
public class _tie_CorbaBankApplicationManagerInterface extends bank.corba._CorbaBankApplicationManagerInterfaceImplBase {
  private bank.corba.CorbaBankApplicationManagerInterfaceOperations _delegate;


  public _tie_CorbaBankApplicationManagerInterface(bank.corba.CorbaBankApplicationManagerInterfaceOperations delegate) {
	this._delegate = delegate;
  }    
  public _tie_CorbaBankApplicationManagerInterface(bank.corba.CorbaBankApplicationManagerInterfaceOperations delegate, java.lang.String name) {
	super(name);
	this._delegate = delegate;
  }    
  public bank.corba.CorbaBankApplicationManagerInterfaceOperations _delegate() {
	return this._delegate;
  }    
  /**
  <p>
  Operation: <b>::bank::corba::CorbaBankApplicationManagerInterface::checkBalanceAccount</b>.
  <pre>
	long checkBalanceAccount(
	  in long accountNumber
	)
	raises(
	  ::bank::corba::AccountNotFoundException
	);
  </pre>
  </p>
  */
  public int checkBalanceAccount(
	int accountNumber
  ) throws
	bank.corba.AccountNotFoundException {
	return this._delegate.checkBalanceAccount(
	  accountNumber
	);
  }    
  /**
  <p>
  Operation: <b>::bank::corba::CorbaBankApplicationManagerInterface::depositAccount</b>.
  <pre>
	long depositAccount(
	  in long accountNumber,
	  in long amount
	)
	raises(
	  ::bank::corba::AccountNotFoundException
	);
  </pre>
  </p>
  */
  public int depositAccount(
	int accountNumber,
	int amount
  ) throws
	bank.corba.AccountNotFoundException {
	return this._delegate.depositAccount(
	  accountNumber,
	  amount
	);
  }    
  /**
  <p>
  Operation: <b>::bank::corba::CorbaBankApplicationManagerInterface::verifyAccount</b>.
  <pre>
	boolean verifyAccount(
	  in long accountNumber
	);
  </pre>
  </p>
  */
  public boolean verifyAccount(
	int accountNumber
  ) {
	return this._delegate.verifyAccount(
	  accountNumber
	);
  }    
  /**
  <p>
  Operation: <b>::bank::corba::CorbaBankApplicationManagerInterface::withdrawAccount</b>.
  <pre>
	long withdrawAccount(
	  in long accountNumber,
	  in long amount
	)
	raises(
	  ::bank::corba::AccountNotFoundException
	);
  </pre>
  </p>
  */
  public int withdrawAccount(
	int accountNumber,
	int amount
  ) throws
	bank.corba.AccountNotFoundException {
	return this._delegate.withdrawAccount(
	  accountNumber,
	  amount
	);
  }    
}