
package bank.manager;


/*
 * Copyright (C) 1998 OGIS-RI. All Rights Reserverd.
 *
 */

import java.util.*;
import bank.util.*;
import bank.storage.*;

/**
 *̃hCIuWFNgTo@\񋟂钊ۃNX
 *#pattern: FactoryMethod
 *
 *@version 3.2 
 *@author Masashi Umezawa
 */ 
abstract public class DomainFinder {
	protected boolean isSpecificSet;
	protected DbAdaptor adaptor;
	protected Storager storager;
	protected DbAdaptorCreatePolicy dbAdaptorCreatePolicy;










public DomainFinder ( ) {
	isSpecificSet = false;
	this.setSpecificSettings();
}
public Object find(Object idValue) throws NotFoundException{
	return null;
}
public DbAdaptor getDbAdaptor(){
	return adaptor;
}
/**
 * 
 * @return java.lang.Object
 */
abstract protected Object getDefaultDomainObject( ); 
/**
 * DbAdaptor̋ۃNX𐶐Aݒ肷
 *#pattern: FactoryMethod
 */
protected abstract void prepareDbAdaptor(Object condition);                        
/**
 * Storager̋ۃNX𐶐Aݒ肷
 *#pattern: FactoryMethod
 */
protected void prepareStorager (Object target, DbAdaptor adaptor ){
	String prop = System.getProperty("notification.kind");
	
	if(prop == null) {
		storager = new ObserveStorager((java.util.Observable)target,adaptor);
		return;
	}
	if(prop.equals("observer")){
		storager = new ObserveStorager((java.util.Observable)target,adaptor);
	} else if (	prop.equals("beans")){
		storager = new EventListenStorager(target,adaptor);
	}	
}	
/**
 * 
 * @param policy dbAdaptorCreatePolicy
 */
public void setDbAdaptorCreatePolicy(DbAdaptorCreatePolicy dbAdaptorCreatePolicy) {
	this.dbAdaptorCreatePolicy = dbAdaptorCreatePolicy;
}
/**
 * eDomainFinderL̏ݒs
 */
protected void setSpecificSettings() {
	//default do nothing
}
/**
 * eDomainFinderL̐ݒs
 */
protected void setSpecificSettingsOf(String environmentKind) {
	//default do nothing
}
}