
package bank.state;


/*
 * Copyright (C) 1998 OGIS-RI. All Rights Reserverd.
 *
 */

import bank.gui.*;
import bank.manager.*;
import bank.util.*;

/**
 *ATMʏԃIuWFNg
 *ۂ̏BaseAtmGuĩTuNXQɂĈϏ
 *#pattern: State
 *#pattern: Wrapper
 *
 *@version 3.2 
 *@author Masashi Umezawa
 */ 
public class AtmGuiState extends StateWrapper implements AtmGuiStateInterface{
	








/**
 * 
 */
public AtmGuiState ( ) {
	this(new AtmStartingState());
}
/**
 * 
 * @param anAtmState AtmState
 */
public AtmGuiState ( BaseAtmGuiState anAtmState) {
	super(anAtmState);
}
/**
 * 
 * @return bank.state.ATMState
 */
public State accept() {
 this.changeTo(((BaseAtmGuiState)currentState).accept());
 return currentState;	
}
/**
 * 
 * @return bank.state.ATMState
 */
public State beAccountDepositing() {
	this.changeTo(((BaseAtmGuiState)currentState).beAccountDepositing());
	return currentState;
}
/**
 * 
 * @return bank.state.ATMState
 */
public State beAccountIdAsking ( ) {
	this.changeTo(((BaseAtmGuiState)currentState).beAccountIdAsking());
	return currentState;
}
/**
 * 
 * @return bank.state.ATMState
 */
public State beAccountNotFound() {
	this.changeTo(((BaseAtmGuiState)currentState).beAccountNotFound());
	return currentState;
}
/**
 * 
 * @return bank.state.ATMState
 */
public State beAccountOperationAsking ( ) {
	this.changeTo(((BaseAtmGuiState)currentState).beAccountOperationAsking());
	return currentState;
}
/**
 * 
 * @return bank.state.ATMState
 */
public State beAccountWithdrawing() {
	this.changeTo(((BaseAtmGuiState)currentState).beAccountWithdrawing());
	return currentState;
}
/**
 * 
 */
public State beAtmStarting() {
	this.changeTo(((BaseAtmGuiState)currentState).beAtmStarting());
	return currentState;
}
/**
 * 
 * @return bank.state.ATMState
 */
public State beCheckBalanceFailure() {
	this.changeTo(((BaseAtmGuiState)currentState).beCheckBalanceFailure());
	return currentState;
}
/**
 * 
 * @return bank.state.ATMState
 */
public State beDepositFailure() {
	this.changeTo(((BaseAtmGuiState)currentState).beDepositFailure());
	return currentState;
}
/**
 * 
 * @return bank.state.ATMState
 */
public State beOverWithdraw() {
	this.changeTo(((BaseAtmGuiState)currentState).beOverWithdraw());
	return currentState;
}
/**
 * 
 * @return bank.state.ATMState
 */
public State beShowingAccount() {
	this.changeTo(((BaseAtmGuiState)currentState).beShowingAccount());
	return currentState;
}
/**
 * 
 * @return bank.state.ATMState
 */
public State beWithdrawFailure() {
	this.changeTo(((BaseAtmGuiState)currentState).beWithdrawFailure());
	return currentState;
}
/**
 * 
 * @return bank.state.ATMState
 */
public State cancel() {
	this.changeTo(((BaseAtmGuiState)currentState).cancel());
 	return currentState;	
}
/**
 * 
 * 
 */
public int getAccountNumber() {
	return ((BaseAtmGuiState)currentState).getAccountNumber();
}
/**
 * 
 * 
 */
public AtmGuiLogic getAtmGuiLogic() {
	return ((BaseAtmGuiState)currentState).getAtmGuiLogic();
}
/**
 * 
 * 
 */
public int getBalance() {
	return ((BaseAtmGuiState)currentState).getBalance();
}
/**
 * 
 * @param logic bank.gui.AtmGuiLogic
 */
public void setAccountNumber(int accountId) {
	((BaseAtmGuiState)currentState).setAccountNumber(accountId);
}
/**
 * 
 * @param logic bank.gui.AtmGuiLogic
 */
public void setAtmGuiLogic(AtmGuiLogic logic) {
	((BaseAtmGuiState)currentState).setAtmGuiLogic(logic);
}
/**
 * 
 * @param logic bank.gui.AtmGuiLogic
 */
public void setBalance(int balance) {
	((BaseAtmGuiState)currentState).setBalance(balance);
}
}