
package bank.state;


/*
 * Copyright (C) 1998 OGIS-RI. All Rights Reserverd.
 *
 */

import bank.gui.*;
import bank.manager.*;
import bank.util.*;

/**
 *ATMʏԂ킷߂̃C^[tF[X
 *
 *@version 3.2 
 *@author Masashi Umezawa
 */ 
public interface AtmGuiStateInterface {
	






/**
 * 
 * 
 */
public State accept();
/**
 * 
 * @return bank.state.ATMState
 */
public State beAccountDepositing();
/**
 * 
 * @return bank.state.ATMState
 */
public State beAccountIdAsking ( );
/**
 * 
 * @return bank.state.ATMState
 */
public State beAccountNotFound();
/**
 * 
 * @return bank.state.ATMState
 */
public State beAccountOperationAsking ( );
/**
 * 
 * @return bank.state.ATMState
 */
public State beAccountWithdrawing();
/**
 * 
 */
public State beAtmStarting();
/**
 * 
 * @return bank.state.ATMState
 */
public State beCheckBalanceFailure();
/**
 * 
 * @return bank.state.ATMState
 */
public State beDepositFailure();
/**
 * 
 * @return bank.state.ATMState
 */
public State beOverWithdraw();
/**
 * 
 * @return bank.state.ATMState
 */
public State beShowingAccount();
/**
 * 
 * @return bank.state.ATMState
 */
public State beWithdrawFailure();
/**
 * 
 * @param anATMGui bank.gui.ATMGui
 */
public State cancel();
/**
 * 
 * @param newState bank.util.State
 */
public State changeTo(State newState);
/**
 * 
 * 
 */
public int getAccountNumber();
/**
 * 
 * 
 */
public AtmGuiLogic getAtmGuiLogic();
/**
 * 
 * 
 */
public int getBalance();
/**
 * 
 * @param logic bank.gui.AtmGuiLogic
 */
public void setAccountNumber(int accountNumber);
/**
 * 
 * @param logic bank.gui.AtmGuiLogic
 */
public void setAtmGuiLogic(AtmGuiLogic logic);
/**
 * 
 * @param logic bank.gui.AtmGuiLogic
 */
public void setBalance(int balance);
}