
package bank.storage;


/*
 * Copyright (C) 1998 OGIS-RI. All Rights Reserverd.
 *
 */

import java.io.*;
import java.util.*;
import bank.util.*;

/**
 *eLXgt@CɃhCf̃f[^i[ꍇ
 *f[^x[XA_v^
 *#pattern: Adaptor
 *
 *@version 3.2 
 *@author Masashi Umezawa
 */
public class TextFileDbAdaptor extends FileBaseDbAdaptor {
	protected FileWriter fWriter;
	protected FileReader fReader;
	protected String filename;










public TextFileDbAdaptor(Object targetDomain) {
	super(targetDomain);
}
protected void closeFiler( String mode)  throws IOException {
	if(mode.equals("read")) { fReader.close(); }
	if(mode.equals("write")) { fWriter.close(); }
}
protected StringParsable createDomain( String lineString) {
	StringParsable sp = (StringParsable)targetDomain;
	return (StringParsable)sp.parseFrom(lineString);
}
protected void createFiler( String mode)  throws IOException, FileNotFoundException {
	if(mode.equals("read")) { fReader = new FileReader(filename); }
	if(mode.equals("write")) { fWriter = new FileWriter(filename);}
}
protected void fileClose(String mode)  {
	try {
	    closeFiler(mode);
	}catch (IOException e) {
	    System.err.println("**Failed to close stream");
	    e.printStackTrace();
	}
}
protected void fileOpen( String mode) throws NotFoundException {
	try {
		createFiler(mode);
	} catch (FileNotFoundException e) {
		e.printStackTrace();
	    throw new NotFoundException("File Not Found");
	} catch (IOException e) {
		e.printStackTrace();
	}
}
protected String makeFilename( Object idValue)  {
	return super.makeFilename(idValue) + ".txt";
}
protected Object read() {
	int nowChar;
	StringBuffer line = new StringBuffer();
	try {
	    while ((nowChar = fReader.read()) != -1) 
		line.append((char)nowChar);
	 }catch ( IOException e ) {
	    e.printStackTrace();
	 }
	String lineString = line.toString();
	Object domain = createDomain(lineString);
	return domain;
}
public synchronized Object retrieve( Object idValue) throws NotFoundException  {
	filename = makeFilename(idValue);
	fileOpen("read");
	Object domain = read();
	fileClose("read");
	return domain;
}
public synchronized void store( Object o, Object idValue) {
	filename = makeFilename(idValue);
	try { 
	    fileOpen("write");
	}catch (NotFoundException e){
	}
	    write(o);
	    fileClose("write");
}
protected void write( Object o) {
	try{
	    fWriter.write((String)((StringPrintable)o).printString());
	}catch(IOException e) {
	    System.out.println("**failed to write");
	    e.printStackTrace();
	}
}
}