
package bank.util;


/*
 * Copyright (C) 1998 OGIS-RI. All Rights Reserverd.
 *
 */


import java.util.*;

/**
 *Cӂ̘_ɑΉCX^Xo^ԋpFactory
 *#notice: sAvP[Vł͎gpĂȂ
 *
 *@version 3.2 
 *@author Masashi Umezawa
 */ 
public class DefaultInstanceFactory {
	protected static Hashtable InstMap = new Hashtable();	





/**
 * 
 * @return java.lang.Object
 * @param name java.lang.String
 */
public static Object defaultInstance(String className, String instanceName){
	Object obj;
	Hashtable map;
	map = defaultInstMap();
	obj = map.get(instanceName);
	
	if(obj == null){
			try{
				obj = (Class.forName(className)).newInstance();
				map.put(instanceName, obj);
			}
			catch(ClassNotFoundException e){
				e.printStackTrace();
			}	
			catch(IllegalAccessException e){
				e.printStackTrace();
			}
			catch(InstantiationException e){
				e.printStackTrace();
			}
	}
		return obj;
}
/**
 * 
 */
static public Hashtable defaultInstMap ( ) {
	//override to use your own singleton
	return InstMap;
}
/**
 * 
 * @return java.lang.Object
 * @param name java.lang.String
 */
public static Object getDefault(String instanceName){
	Object obj;
	Hashtable map;
	map = defaultInstMap();
	obj = map.get(instanceName);
	return obj;
}
/**
 * 
 * @return java.lang.Object
 * @param name java.lang.String
 */
public static void registerDefault(String className, String instanceName){
	Object obj;
	Hashtable map;
	map = defaultInstMap();
	obj = map.get(instanceName);
	
	if(obj == null){
			try{
				obj = (Class.forName(className)).newInstance();
				map.put(instanceName, obj);
			}
			catch(ClassNotFoundException e){
				e.printStackTrace();
			}	
			catch(IllegalAccessException e){
				e.printStackTrace();
			}
			catch(InstantiationException e){
				e.printStackTrace();
			}
	}
}
}