
package bank.util;


/*
 * Copyright (C) 1998 OGIS-RI. All Rights Reserverd.
 *
 */

/**
 *hCIuWFNg̊{I@\񋟂钊ۃNX
 *
 *@see bank.util.Identifyable
 *@see bank.util.StringPrintable 
 *@see bank.util.StringParsable
 *@see bank.util.RdbTableMappable
 *@version 3.2 
 *@author Masashi Umezawa
 */
import java.util.*;
import java.io.Serializable;
import java.beans.*;

abstract public class DomainObject extends Observable implements Serializable, Identifyable, StringPrintable, StringParsable, RdbTableMappable{
	transient protected StringTokenizer tokenizer;
	protected PropertyChangeSupport changes; 




/**
 * Beans̃oEhvpeBɑΉ
 */
public DomainObject ( ) {
	changes =  new PropertyChangeSupport(this);
}
/**
 *PropertychangeListenerVKɒǉ
 */	
public void addPropertyChangeListener(PropertyChangeListener l) {
	changes.addPropertyChangeListener(l);
}
/**
 * StringParsable̎
 * tB[h𕪊ftHg̕Ԃ
 * @return java.lang.String
 * @see bank.util.StringParsable
 */
public String delimiterString()  {
	return ",";
}
/**
 * Identifyable̎
 * ftHg0Ԃ̂
 * @return int
 * @see bank.util.Identifyable 
 */
public int getId()  {
	return 0;
}
/**
 * Identifyable̎
 * @return int
 * @see bank.util.Identifyable 
 */	
public String getIdString()  {
	return String.valueOf(this.getId());
}
/**
 * RdbTableMappable̎
 * ftHgł͋̕Ԃ̂
 * @return java.lang.String
 * @see bank.util.RdbTableMappable
 */
public String mapperClassName(){
	return "";
}
/**
 * StringParsable̎
 * 񂩂CX^X𕜌
 * ftHg̎ł͎ۂ͍̏sȂ
 * @return java.lang.String
 * @see bank.util.StringParsable
 */
public Object parseFrom(String lineString)  {
	tokenizer = new StringTokenizer(lineString, delimiterString());
	return null;
}
/**
 * StringPrintable̎
 * ftHgtoString()Ɠ
 * @return java.lang.String
 * @see bank.util.StringPrintable
 */	
public String printStirng()  {
	return this.toString();
}
/**
 *PropertychangeListener폜
 */	
public void removePropertyChangeListener(PropertyChangeListener l) {
	changes.removePropertyChangeListener(l);
}
}