
package bank.util;


/*
 * Copyright (C) 1998 OGIS-RI. All Rights Reserverd.
 *
 */

import java.util.*;

/**
 *IuWFNg̕GȏԑJڂǗ邽߂̒ۃNX
 *eTuNX1CX^X1Ԃ킷
 *ԃIuWFNgSingletonƂĎ
 *#pattern: State
 *#pattern: Singleton
 *
 *@version 3.2 
 *@author Masashi Umezawa
 */ 
abstract public class State extends Observable implements Changeable{
	protected State previousState;
	protected boolean isError;









/**
 * 
 */
public State ( ) {
	isError = false;
}
/**
 * StateʂStateɕω
 * ύX̒ʒmObserverɑ΂čs
 * #pattern: Observer
 * @param aState bank.util.State
 */
public State changeTo(State newState) {
	this.setChanged();
	this.notifyObservers(newState);
	newState.setPreviousState(this);
	return newState;
}
/**
 * Stete̗B̃CX^XԂ
 * 
 * @return java.lang.Object
 * @param name java.lang.String
 */
public static State defaultInstance(String name){
		return (State)(SingletonFactory.defaultInstance(name));
}
/**
 * ȑȌԂ킷StatẽCX^XԂ
 * @return bank.util.State
 */
public State getPreviousState() {
	return previousState;
}
/**
 * 
 * @return boolean
 */
public boolean isError ( ) {
	return isError;
}
/**
 * StateCX^XǂĕԂ
 * @return bank.util.State
 */
public State returnNormal ( ) {
	State tmpState;
	tmpState = this.getPreviousState();
	while (tmpState.isError()){
		tmpState = tmpState.getPreviousState();
	}	
	return tmpState;
}
/**
 * 
 * @param newState bank.util.State
 */
public void setPreviousState(State aState) {
	previousState = aState;
}
public String toString() {
	if(!isError){
		return "State: " + super.toString();
	} else {
		return "ErrorState: " + super.toString();
	}		
}
}