
package bank.util;


/*
 * Copyright (C) 1998 OGIS-RI. All Rights Reserverd.
 *
 */

import java.util.*;

/**
 *bank.util.StateWrapperƂē삷NX
 *NCAgStateIuWFNg̎QƂɂēւKvȂ
 *#pattern: State
 *#pattern: Singleton
 *
 *@version 3.2 
 *@author Masashi Umezawa
 */
public abstract class StateWrapper extends Observable implements Changeable, Observer{
	protected State currentState;











/**
 * 
 * @param aState bank.util.State
 */
public StateWrapper ( State aState) {
	aState.addObserver(this);
	currentState = aState;
}
/**
 * 
 * @return bank.util.State
 */
public State beNormal ( ) {
	return currentState.returnNormal();
}
/**
 * Statȅԕω̍ۂɌĂ΂
 * ύX̒ʒmObserverɑ΂čs
 * #pattern: Observer
 * @param aState bank.util.State
 */
public State changeTo(State newState) {
	currentState.deleteObserver(this);
	currentState = currentState.changeTo(newState);
	newState.addObserver(this);
	return currentState;
}
/**
 * 
 * @param o java.util.Observable
 * @param arg java.lang.Object
 */
public void update(Observable o, Object arg) {
	this.setChanged();
	this.notifyObservers(arg);
	return;
}
}