
package bank.batch;


/*
 * Copyright (C) 1998 OGIS-RI. All Rights Reserverd.
 *
 */

import bank.model.*;
import bank.manager.*;
import bank.storage.*;
import bank.util.*;

/**
 *R}hCŗa̗aAoȂǂseXgpNX
 *
 *@version 3.2 
 *@author Masashi Umezawa
 */ 
public class BatchAccountManager {












	public static void main(String args[]) {
	if (args[0].equals("test1")) {
	    test1();
	} else if (args[0].equals("test2")) {
	    test2();
	} else if (args[0].equals("test3")) {
	    test3();
	} else { manage(args);}
	}
	public static void manage(String args[]){
		
	BankApplicationManager appMan;
	Account acc;
	appMan = BankApplicationManager.getDefault();
	
	if (args.length < 3) {
	    System.out.println("Usage: annountNumber -deposit( withdraw ) 1000");
	    System.exit(-1);
	}
	int accountNum = parseInt(args[0]);
	boolean result = appMan.verifyAccount(accountNum);
	System.out.println("Account " + accountNum + " is found -> " + result);
	int money = parseInt(args[2]);
	try {
		if (args[1].equals("-deposit")){
				appMan.depositAccount(accountNum,money);
		 } else if ( args[1].equals("-withdraw")){
				appMan.withdrawAccount(accountNum,money);
	 	 } else {
				appMan.checkBalanceAccount(accountNum);
		 }
	} catch (AccountNotFoundException e){
		e.printStackTrace();
	}	 
	
	}
	protected static int parseInt(String number) {
	int num = 0;
	try {
	    num = Integer.parseInt(number); 
	} catch ( NumberFormatException e ){
	    System.out.println("**Number Format error");
	    e.printStackTrace();
	    System.exit(-1);
	}
	return num;
	}
	public static void test1() {
	String[] params1 = {"1", "-deposit", "500"};
	String[] params2 = {"1", "-withdraw", "500"};
	String[] params3 = {"1", "-deposit", "1000"};
	manage(params1);
	manage(params2);
	manage(params3);
	}
	public static void test2() {
	String[] params1 = {"1011", "-deposit", "500"};
	String[] params2 = {"1011", "-withdraw", "500"};
	String[] params3 = {"1011", "-deposit", "1000"};
	manage(params1);
	manage(params2);
	manage(params3);
	}
	public static void test3() {
	test1();
	test2();
	}
}