
package bank.gui;


/*
 * Copyright (C) 1998 OGIS-RI. All Rights Reserverd.
 *
 */

import java.applet.*;
import java.awt.*;
import bank.util.*;

/**
 *Applet̋@\g[eBeBNX
 *#pattern: TemplateMethod
 *
 *@version 3.2 
 *@author Masashi Umezawa
 */
abstract public class ExtendedApplet extends Applet implements Cancelable, Acceptable{
	protected UiBuilder builder;
	protected boolean isApplication;










public ExtendedApplet() {
		isApplication = false;
		builder = makeBuilder();
}
/**
 * Acceptable̎
 */
public void accept()  {
	//default do nothing
}
public void beApplet() {
	isApplication = false;
}
public void beApplication() {
	isApplication = true;
}
protected void bindButtonCommand(String buttonName, short commandKind, Object callback) {
	Button button = builder.makeButton(buttonName);
	Command command = this.makeCommand(commandKind, callback);
	builder.tieButtonCommand(button, command);
}
/**
 * init()Ă΂tbN\bh
 * BuildergpăEBWFbg̍\zs
 * #pattern: TemplateMethod
 */
protected void build(){
	//default do nothing
}
public void cancel()  {
}
/**
 * init()Ă΂tbN\bh
 * ŏIIȏ̏s
 * #pattern: TemplateMethod
 */
protected void endOfInit(){
	//default do nothing
}
public Dimension getSize() {
	return this.getPreferredSize();
}
public String getTitle() {
	return "Applet opening as Application!!";
}
/**
 * Avbg̏sTemplateMethod
 * #pattern: TemplateMethod
 */
public void init() {
	super.init();
	setInitValues();
	build();
	endOfInit();
}
protected UiBuilder makeBuilder() {
		return new UiBuilder(this);
}
/**
 * idɂẴR}hIuWFNg𐶐
 * #pattern: FactoryMethod
 */
protected Command makeCommand(short commandKind, Object callback) {
 		//subclass should create specific Command
 		//return new Command(callback, commandKind); 
 		return null;
}
public static Frame openApplication(Applet applet) {
	return openApplication(applet, true);
}
/**
 * AtmGuiStatȅԕωɂĂ΂update\bh
 * @param applet java.applet.Applet
 * @param closable boolean
 */
public static Frame openApplication(Applet applet, boolean closable) {
		String title = "Applet opening as Application";
		Dimension dim;
				
		if ( applet instanceof ExtendedApplet ) {
		    title = ((ExtendedApplet)applet).getTitle();
		    ((ExtendedApplet)applet).beApplication();
		    dim = applet.getSize();
		} else { 
		    dim = applet.getPreferredSize();
		}
		    
		applet.init();
		Frame frame = new Frame(title);
		frame.setSize(dim);
		frame.setLayout(new BorderLayout());
		frame.add("Center",applet);
		frame.show();
		applet.start();
		if (closable){
		frame.addWindowListener(new WindowCloseCommand(frame));
		}
		return frame;
}
/**
 * init()Ă΂tbN\bh
 * EBWFbg\zȊȌݒs
 * #pattern: TemplateMethod
 */
protected void setInitValues(){	
	//default do nothing	
}
/**
 * 
 * @param builder bank.gui.UIBuilder
 */
public void setUiBuilder(UiBuilder builder) {
	this.builder = builder;
}
}