
package bank.state;


/*
 * Copyright (C) 1998 OGIS-RI. All Rights Reserverd.
 *
 */

import bank.gui.*;
import bank.util.*;

/**
 *ATMʂ̈o₢킹
 *#pattern: State
 *
 *@version 3.2 
 *@author Masashi Umezawa
 */ 
public class AccountWithdrawingState extends bank.state.BaseAtmGuiState {










/**
 * 
 * @param anATMGui bank.gui.ATMGui
 */
public State accept() {
	balance = logic.getAtmGuiView().getMoney();
	try{
		logic.withdraw(balance);
		return this.beShowingAccount();
	}catch( MinusAmountException e ){
		return this.beWithdrawFailure();
	}catch( OverWithdrawException e ){
		return this.beOverWithdraw();
	}	
}
/**
 * 
 */
public State cancel() {
	return this.beAccountOperationAsking();
}
}