
package bank.storage;


/*
 * Copyright (C) 1998 OGIS-RI. All Rights Reserverd.
 *
 */

import java.sql.*;
import bank.model.*;
import bank.util.*;

/**
 *bank.model.AccountRdbAccounte[uɃ}bsO
 *#pattern: Strategy
 *#toDo: Static SQLAXgAhvVWőx\߂
 *
 *@see bank.model.Account
 *@version 3.2 
 *@author Masashi Umezawa
 */
public class AccountTableMapper extends JdbcTableMapper{






/**
 * SQLsɂԋpꂽf[^Account̃CX^X𕜌 
 *
 * @return Account
 * @param rs ResultSet
 * @exception java.sql.SQLException
 * @exception bank.util.NotFoundException
 */
public Object fromResultSet (ResultSet rs ) throws SQLException, NotFoundException{
	Account acc = new Account();
	boolean result = false;
	while(rs.next()){
		acc.setNumber(rs.getInt("accountNumber"));
		acc.setBalance(rs.getInt("balance"));
		Customer cus = acc.getCustomer();
		cus.setName(rs.getString("name"));
		cus.setAddress(rs.getString("address"));
		result = true;
	}	
	if(!result){throw new NotFoundException();}
	return acc;
}
/**
 * Account̃CX^Xo߂Select̐
 *
 * @return java.lang.String
 */
public String selectQuery ( Object key) {
	String keyStr = key.toString(); 
	//String query = "SELECT Account.accountNumner, Account.balance FROM Account WHERE Account.accountNo=" + key;
	String query = "SELECT DISTINCTROW Account.accountNumber, Account.balance, Customer.name, Customer.address FROM Account INNER JOIN Customer ON Account.accountNumber = Customer.accountNumber WHERE (((Account.accountNumber)=" + key + "));";
	System.out.println("##" + query);
	return query;
}
/**
 * ԍɑΉAccount̃f[^ύXUpdate̐ 
 * 
 * @return java.lang.String
 */
public String updateQuery (Object key, Object newValue ) {
	String keyStr = key.toString();
	String newBalanceStr = String.valueOf(((Account)newValue).getBalance());	
	return "UPDATE Account SET Account.balance=" + newBalanceStr + "  WHERE Account.accountNumber=" + keyStr;
}
}