
package bank.storage;


/*
 * Copyright (C) 1998 OGIS-RI. All Rights Reserverd.
 *
 */

import java.sql.*;

/**
 *JDBC̐ڑeXgsNX
 *#assure: jdbc:odbc:bankURL̗LAAccounte[ũf[^̑
 *
 *@version 3.2 
 *@author Masashi Umezawa
 */
public class BankDbTest {









/**
 * 
 * @param args java.lang.String[]
 */
public static void main(String args[]) {
	// REGISTER DRIVER
try {
	Driver d = (Driver)Class.forName("sun.jdbc.odbc.JdbcOdbcDriver").newInstance();
} catch (Exception e) {
	System.out.println(e);
}

// GET CONNECTION
Connection con = null;
try{
	con = DriverManager.getConnection("jdbc:odbc:bank","","");
}catch(Exception e){
	System.out.println(e);
}

// GET CONNECTION WARNINGS
SQLWarning warning = null;
try {
	warning = con.getWarnings();

	if (warning == null){
		System.out.println("No Warnings");
	}

	while (warning != null) {
		System.out.println("Warning: "+warning);
		warning = warning.getNextWarning();
	}
} catch (Exception e){
	System.out.println(e);
}

 // CREATE STATEMENT 
Statement stmt = null;
try {
	stmt = con.createStatement();
} catch (Exception e){
	System.out.println(e);
}

 // EXECUTE QUERY 
ResultSet results = null;
try {
	results = stmt.executeQuery("SELECT * FROM Account");
} catch (Exception e){
	System.out.println(e);
}

// GET ALL RESULTS 
StringBuffer buf = new StringBuffer();
try {
	ResultSetMetaData rsmd = results.getMetaData();
	int numCols = rsmd.getColumnCount();
	int i, rowcount = 0;

   // get column header info
	for (i=1; i <= numCols; i++){
		if (i > 1) buf.append(",");
		buf.append(rsmd.getColumnLabel(i));
	}
	buf.append("\n");


	// break it off at 100 rows max
	while (results.next() && rowcount < 100){
		// Loop through each column, getting the column
		// data and displaying

		for (i=1; i <= numCols; i++) {
			if (i > 1) buf.append(",");
			buf.append(results.getString(i));
		}
		buf.append("\n");
		rowcount++;
	}
	results.close();
	System.out.println(buf);
} catch (Exception e) {
	System.out.println(e);
	return;
}
}
}