
package bank.storage;


/*
 * Copyright (C) 1998 OGIS-RI. All Rights Reserverd.
 *
 */

import java.util.*;
import bank.util.*;

/**
 *f[^x[Xւ̃f[^̊i[AosۃNX
 *TuNX͊ef[^x[XpɁAAPI
 *retrieve(java.lang.Object id)
 *store(java.lang.Object data, java.lang.Object id)
 *
 *
 *NCAǵAef[^x[X̊i[APÏႢӎ
 *قȂf[^x[XgƂł
 *#pattern: Adaptor
 *
 *@version 3.2 
 *@author Masashi Umezawa
 */
 
abstract public class DbAdaptor {
	protected Object targetDomain; 










/**
 * 
 */
public DbAdaptor ( ) {
	this.setAllEnvironmentSettings();
}
/**
 * 
 * @param targetDomain java.lang.Object
 */
public DbAdaptor ( Object targetDomain) {
	this();
	this.setTargetDomain(targetDomain);
}
/**
 * i[IuWFNǧ^ɂIDƂȂK؂ȕo 
 *
 * @return Account
 * @param idValue java.lang.Object
 */
protected String getIdString( Object idValue) {
   if (idValue instanceof String) { return (String)idValue;}
   else if ( idValue instanceof Integer) { return String.valueOf(idValue);}
   else if ( idValue instanceof Identifyable) { return ((Identifyable)idValue).getIdString();}
   else { return String.valueOf(idValue.hashCode()); }
}
/**
 * 
 * @return java.lang.Object
 */
public Object getTargetDomain() {
	return targetDomain;
}
/**
 * DbAdaptorɑ΂ʂȏKvȏꍇɌĂ΂
 */
public void install ( ) {
	//default do nothing
	//called when specific settings are set
}
public Object retrieve( int id) throws NotFoundException{
	 return retrieve((Object)(new Integer(id)));
}
/**
 * idValueɑΉ̃CX^X擾
 */
public abstract Object retrieve ( Object idValue) throws NotFoundException;
/**
 * ϐKvȏݒs
 */
protected void setAllEnvironmentSettings() {
	//default do nothing
}
public abstract void setEnvironmentSettings(String propertyName);
/**
 * 
 * @param targetDomain java.lang.Object
 */
public void setTargetDomain(Object targetDomain) {
	this.targetDomain = targetDomain;
}
/**
 * idValueɑΉ̃CX^Xi[
 */
public abstract void store( Object data, Object idValue);
/**
 * DbAdaptorɑ΂ʂȃ\[X̊JKvȏꍇɌĂ΂
 */
public void uninstall( ) {
	//default do nothing
	//called when specific settings are set
}
}