
package bank.transaction;


/*
 * Copyright (C) 1998 OGIS-RI. All Rights Reserverd.
 *
 */

import java.util.*;
import bank.util.*;

/**
 *gUNV킷NX
 *1CX^X1gUNV̔ɊY
 *#toDo: ACIDT|[g钊ۃgUNV}l[WNX̒
 *
 *@see java.util.Printable
 *@version 3.2 
 *@author Masashi Umezawa
 */
public class Transaction implements Identifyable, StringPrintable{
	protected int id;
	protected Calendar cal;












public Transaction() {
	cal = Calendar.getInstance();
	id = cal.getTime().hashCode();
}
/**
 * 
 * @return java.lang.String
 */
protected String getCurrentTimeString() {
	return Calendar.getInstance().getTime().toString();
}
/**
 * Identifyable̎
 * @return int
 * @see bank.util.Identifyable
 */
public int getId()  {
	return id;
}
/**
 * Identifyable̎
 * @return int
 * @see bank.util.Identifyable
 */
public String getIdString()  {
	return String.valueOf(id);
}
/**
 * StringPrintable̎
 * @return java.lang.String
 * @see bank.util.StringPrintable
 */
public String printString()  {
	return "transaction: " + this.getIdString() + " at: " + this.getCurrentTimeString();
}
}